%define upstream_name    Net-DNS-Lite
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A pure-perl DNS resolver with support for timeout
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
This module provides a replacement function for the Socket::inet_aton
manpage, with support for timeouts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-5.mga6
+ Revision: 1031062
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.120.0-4.mga6
+ Revision: 932548
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 745229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 685639
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.120.0-1.mga5
+ Revision: 602959
- update to 0.12

* Fri Feb 07 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 585631
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 527150
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 439626
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 370540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 267411
- update to 0.09

* Fri Nov 18 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 168849
- update to 0.08
- update to 0.08
- update to 0.07
- imported package perl-Net-DNS-Lite


* Mon Jul 25 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
